Bug 59161 - Request for new project: libmbim
Request for new project: libmbim
Status: RESOLVED FIXED
Product: freedesktop.org
Classification: Unclassified
Component: Project Creation Requests
unspecified
Other All
: medium normal
Assigned To: fd.o Admin Massive
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-09 08:59 UTC by Aleksander Morgado
Modified: 2013-04-21 17:22 UTC (History)
3 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Aleksander Morgado 2013-01-09 08:59:22 UTC
The Mobile Broadband Interface Model (MBIM) is a new standard to communicate with mobile broadband modem devices developed by the USB Implementors Forum.

The new 'libmbim' project would handle the implementation of a new 'libmbim' library and related utilities (e.g. a 'mbimcli' command line interface), very similar to what was already done in the 'libqmi' project here in freedesktop.org.


Project name: libmbim
Project Admin: aleksander@lanedo.com
Resources requested:
    git repo: libmbim (description: MBIM modem protocol helper library)
    mailing lists: libmbim-devel (admin: aleksander@lanedo.com)
    bugzilla: product 'libmbim' (default asignee: aleksander@lanedo.com)
Comment 1 Aleksander Morgado 2013-01-31 11:44:12 UTC
Just wondering, is there more information I need to provide to get the request approved? I already have an initial approach for the library and the cli, which I wouldn't mind to push to a fd.o git repo.
Comment 2 ying 2013-02-08 00:05:58 UTC
1. MAX_CONTROL_TRANSFER=4096 might be rejected by some MBIM devices.
Is it possible for libmbim to respect device's capability reported in MBIM function descriptor while opening the device?

For example,

   if device's bMaxControlMessage > MAX_CONTROL_TRANSFER
       use MAX_CONTROL_TRANSFER to open
   else if device's bMaxControlMessage >= 64
       use bMaxControlMessage to open
   else
       bad device

2. Device might not support all CID's, even for basic connect service. So, if libmbim or connection manager application could check on which CID's supported by the device (through MBIM_CID_DEVICE_SERVICES) first, it'll be safer.
Comment 3 Aleksander Morgado 2013-02-08 06:45:38 UTC
(In reply to comment #2)
> 1. MAX_CONTROL_TRANSFER=4096 might be rejected by some MBIM devices.
> Is it possible for libmbim to respect device's capability reported in MBIM
> function descriptor while opening the device?
> 
> For example,
> 
>    if device's bMaxControlMessage > MAX_CONTROL_TRANSFER
>        use MAX_CONTROL_TRANSFER to open
>    else if device's bMaxControlMessage >= 64
>        use bMaxControlMessage to open
>    else
>        bad device
> 

Yes, that's planned, Bjorn already suggested me to do so.

> 2. Device might not support all CID's, even for basic connect service. So,
> if libmbim or connection manager application could check on which CID's
> supported by the device (through MBIM_CID_DEVICE_SERVICES) first, it'll be
> safer.

And yes, also this is planned, same as we do for QMI.
Comment 4 Aleksander Morgado 2013-03-12 16:11:13 UTC
(In reply to comment #0)
> The Mobile Broadband Interface Model (MBIM) is a new standard to communicate
> with mobile broadband modem devices developed by the USB Implementors Forum.
> 
> The new 'libmbim' project would handle the implementation of a new 'libmbim'
> library and related utilities (e.g. a 'mbimcli' command line interface),
> very similar to what was already done in the 'libqmi' project here in
> freedesktop.org.
> 
> 
> Project name: libmbim
> Project Admin: aleksander@lanedo.com
> Resources requested:
>     git repo: libmbim (description: MBIM modem protocol helper library)
>     mailing lists: libmbim-devel (admin: aleksander@lanedo.com)
>     bugzilla: product 'libmbim' (default asignee: aleksander@lanedo.com)

Actually, we would also need space for releases, e.g. in:
  http://www.freedesktop.org/software/libmbim

My user account in annarchy is 'aleksm' btw.
Comment 5 Aleksander Morgado 2013-04-17 11:47:07 UTC
Ping ping :)

Reached to a point where we could already roll out a preliminary release of the project... would be great to have it all in fd.o before doing so...
Comment 6 Tollef Fog Heen 2013-04-19 20:08:40 UTC
This should all be done now, including file release space on annarchy (/srv/www.freedesktop.org/software/libmbim).
Comment 7 Aleksander Morgado 2013-04-21 17:22:58 UTC
(In reply to comment #6)
> This should all be done now, including file release space on annarchy
> (/srv/www.freedesktop.org/software/libmbim).

Great!! Thanks